Bug 142282 - Make JavaScript binding get and set legacy event listener attributes directly
Summary: Make JavaScript binding get and set legacy event listener attributes directly
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore JavaScript (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Darin Adler
URL:
Keywords:
Depends on: 142307
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-04 08:50 PST by Darin Adler
Modified: 2015-03-06 08:30 PST (History)
8 users (show)

See Also:


Attachments
Patch (29.84 KB, patch)
2015-03-04 08:54 PST, Darin Adler
no flags Details | Formatted Diff | Diff
Patch (197.29 KB, patch)
2015-03-05 09:22 PST, Darin Adler
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-mavericks (707.02 KB, application/zip)
2015-03-05 10:13 PST, Build Bot
no flags Details
Archive of layout-test-results from ews105 for mac-mavericks-wk2 (805.29 KB, application/zip)
2015-03-05 10:20 PST, Build Bot
no flags Details
Patch (199.23 KB, patch)
2015-03-05 23:06 PST, Darin Adler
koivisto: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Darin Adler 2015-03-04 08:50:30 PST
Make JavaScript binding get and set legacy event listener attributes directly
Comment 1 Darin Adler 2015-03-04 08:54:45 PST
Created attachment 247862 [details]
Patch
Comment 2 WebKit Commit Bot 2015-03-04 08:56:12 PST
Attachment 247862 [details] did not pass style-queue:


ERROR: Source/WebCore/bindings/js/JSEventListener.h:32:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
Total errors found: 1 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Sam Weinig 2015-03-04 09:08:15 PST
Comment on attachment 247862 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=247862&action=review

As we discussed, we should probably stick with one name or the other (attributeEventListener vs. eventListenerAttribute +/- legacy).  I am leaning on the side of eventListenerAttribute right now, though in the past, I was clearly in the attributeEventListener camp.  Either way, r=me.

> Source/WebCore/bindings/scripts/CodeGeneratorJS.pm:2302
> +                my $eventName = LegacyEventListenerAttributeEventName($implGetterFunctionName);

This would probably be cleaner if it took the $attribute like LegacyEventListenerAttributePrefix does.  That way, if we can more easily fix the special cases in it via new extended attributes.
Comment 4 Darin Adler 2015-03-04 09:30:55 PST
Committed r181001: <http://trac.webkit.org/changeset/181001>
Comment 5 Alex Christensen 2015-03-04 10:40:54 PST
Bindings tests fixed in http://trac.webkit.org/changeset/181003
Comment 6 Csaba Osztrogonác 2015-03-04 10:50:45 PST
(In reply to comment #4)
> Committed r181001: <http://trac.webkit.org/changeset/181001>

It made 16 tests timeout.
Comment 7 Alexey Proskuryakov 2015-03-04 13:39:59 PST
Will roll out (sorry for not doing it earlier).
Comment 8 WebKit Commit Bot 2015-03-04 13:44:06 PST
Re-opened since this is blocked by bug 142307
Comment 9 Darin Adler 2015-03-05 08:43:13 PST
I figured out one thing that went wrong yesterday. I had missed that the "ondisplay" attribute on Notification is for the "show" event, not the "display" event.
Comment 10 Darin Adler 2015-03-05 09:22:26 PST
Created attachment 247957 [details]
Patch
Comment 11 WebKit Commit Bot 2015-03-05 09:23:52 PST
Attachment 247957 [details] did not pass style-queue:


ERROR: Source/WebCore/bindings/js/JSEventListener.h:32:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
Total errors found: 1 in 25 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 12 Darin Adler 2015-03-05 09:26:52 PST
New patch covers most of what was causing tests to fail last time, but not yet 100% sure it covers all of it. Running tests now.
Comment 13 Build Bot 2015-03-05 10:13:39 PST
Comment on attachment 247957 [details]
Patch

Attachment 247957 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/4675936054149120

New failing tests:
fast/workers/worker-multi-port.html
http/tests/notifications/legacy/show.html
http/tests/notifications/legacy/window-show-on-click.html
http/tests/notifications/events.html
http/tests/notifications/legacy/events.html
fast/history/page-cache-notification-suspendable.html
fast/events/message-channel-gc-4.html
http/tests/notifications/show.html
fast/workers/worker-context-multi-port.html
fast/events/message-port-clone.html
fast/workers/worker-messageport.html
http/tests/notifications/legacy/double-show.html
http/tests/notifications/window-show-on-click.html
fast/events/message-port-multi.html
fast/events/message-port.html
fast/workers/worker-messageport-gc.html
fast/events/message-channel-gc-3.html
Comment 14 Build Bot 2015-03-05 10:13:42 PST
Created attachment 247962 [details]
Archive of layout-test-results from ews101 for mac-mavericks

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-mavericks  Platform: Mac OS X 10.9.5
Comment 15 Build Bot 2015-03-05 10:20:44 PST
Comment on attachment 247957 [details]
Patch

Attachment 247957 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/6265944221417472

New failing tests:
fast/workers/worker-multi-port.html
http/tests/notifications/legacy/show.html
http/tests/notifications/legacy/window-show-on-click.html
http/tests/notifications/legacy/double-show.html
http/tests/notifications/legacy/events.html
fast/history/page-cache-notification-suspendable.html
fast/events/message-channel-gc-4.html
http/tests/notifications/show.html
http/tests/notifications/window-show-on-click.html
fast/workers/worker-context-multi-port.html
fast/events/message-port-clone.html
fast/workers/worker-messageport.html
http/tests/notifications/events.html
fast/events/message-port-multi.html
fast/events/message-port.html
fast/workers/worker-messageport-gc.html
fast/events/message-channel-gc-3.html
Comment 16 Build Bot 2015-03-05 10:20:47 PST
Created attachment 247966 [details]
Archive of layout-test-results from ews105 for mac-mavericks-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-mavericks-wk2  Platform: Mac OS X 10.9.5
Comment 17 Darin Adler 2015-03-05 23:06:02 PST
Created attachment 248043 [details]
Patch
Comment 18 WebKit Commit Bot 2015-03-05 23:07:29 PST
Attachment 248043 [details] did not pass style-queue:


ERROR: Source/WebCore/bindings/js/JSEventListener.h:32:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
Total errors found: 1 in 27 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 19 Darin Adler 2015-03-05 23:07:30 PST
The new patch I attached has fixes for all the failures we have been seeing in the EWS and buildbot. The common thread in all of them was custom code in setOnxxx functions that I missed the first time around, but was able to local with a simple grep.
Comment 20 Darin Adler 2015-03-06 08:30:48 PST
Committed r181156: <http://trac.webkit.org/changeset/181156>